%define name				mediawiki
%define basever				1.16
%define version				%{basever}.5
%define release				%mkrel 1
%define _requires_exceptions	pear(HTML/Template/PHPTAL.php)\\|pear(MogileFS.php)\\|pear(extensions\\|pear(PHPUnit.php
%define sharedcodedir			%{_datadir}/mediawiki
%define moduledir			%{_libdir}/mediawiki
%define docdir				%{_defaultdocdir}/%{name}-%{version}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A wiki engine
License:	GPLv2+
Group:		System/Servers
URL:		http://www.mediawiki.org/wiki/MediaWiki
Source0:	http://download.wikimedia.org/mediawiki/%{basever}/%{name}-%{version}.tar.gz
Source1:	mediawiki.conf
Source2:	README.urpmi
Source3:	mw-createinstance.in
Source4:	mw-updateallinstances.in
Source5:	mediawiki-common.conf
Patch0:		mediawiki-1.16.2-commoncode.patch
Patch1:		mediawiki-1.16.2-enablesuggests.patch
BuildRequires:	ocaml >= 3.06
Requires:	mediawiki-minimal = %{version}-%{release}
Requires:	tetex-dvips
Requires:	tetex-latex

%description
MediaWiki is the software used for Wikipedia and the other Wikimedia
Foundation websites. Compared to other wikis, it has an excellent
range of features and support for high-traffic websites using multiple
servers

This package supports wiki farms. Read the instructions for creating 
wiki instances under %{docdir}/README.urpmi. 
Remember to remove the config dir after completing the configuration.

This package includes math rendering support for mediawiki.

%package minimal
Summary:	mediawiki without texvc
Group:		System/Servers
# to make sure the "apache" group is created before mediawiki is installed
Requires(pre):	webserver
# for diff3:
Requires:	diffutils
# for convert:
Requires:	imagemagick
Requires:	php-gd
Requires:	php-mysql
Requires:	php-pgsql
Requires:	php-xml
Provides:	%{name}%{basever}
Conflicts:	mediawiki < 0:1.16.5-0

%description minimal
This subpackage contains all mediawiki parts except the ones needed to 
create inline math. This is done for minimal wiki installs that do
not require mathematic formulas and therefore no dependencies to LaTeX 
are set up.


%prep
%setup -q
%patch0 -p1 -b .commoncode
%patch1 -p1 -b .enablesuggests

%build
cd math
make

%install
rm -rf %{buildroot}

# move away the documentation to the final folder.
mkdir -p %{buildroot}%{docdir}
mv -f COPYING FAQ HISTORY README RELEASE-NOTES UPGRADE CREDITS INSTALL docs \
  %{buildroot}%{docdir}/

install -p %{SOURCE2} %{buildroot}%{docdir}/README.urpmi

# now copy the rest to the buildroot.
mkdir -p %{buildroot}%{sharedcodedir}
cp -a * %{buildroot}%{sharedcodedir}/

# remove unneeded parts
rm -fr %{buildroot}%{sharedcodedir}/{t,test,tests}
rm -fr %{buildroot}%{sharedcodedir}/includes/zhtable
find %{buildroot}%{sharedcodedir}/ \
  \( -name .htaccess -or -name \*.cmi \) \
  | xargs -r rm

# fix permissions
chmod +x %{buildroot}%{sharedcodedir}/bin/*
find %{buildroot}%{sharedcodedir} -name \*.pl | xargs -r chmod +x

# move arch dependent parts
mkdir -p %{buildroot}%{moduledir}/math
mv %{buildroot}%{sharedcodedir}/math/texvc \
   %{buildroot}%{moduledir}/math/
rm -fr %{buildroot}%{sharedcodedir}/math/*
ln -s %{moduledir}/math/texvc %{buildroot}%{sharedcodedir}/math/

# remove version control/patch files
find %{buildroot} -name .svnignore | xargs -r rm
find %{buildroot} -name \*.commoncode | xargs -r rm
find %{buildroot} -name \*.enablesuggests | xargs -r rm

%{__install} -d -m 755 %{buildroot}%{webappconfdir}
install -p -m 0644 %{SOURCE1} \
  %{buildroot}%{webappconfdir}/mediawiki.conf
install -p -m 0644 %{SOURCE5} \
  %{buildroot}%{webappconfdir}/mediawiki-common.conf

# tools for keeping mediawiki instances current
mkdir -p %{buildroot}%{_sbindir}
sed -e's,@datadir@,%{_datadir},g' -e's,@sysconfdir@,%{_sysconfdir},g' \
  < %{SOURCE3} > %{buildroot}%{_sbindir}/mediawiki-create
sed -e's,@datadir@,%{_datadir},g' -e's,@sysconfdir@,%{_sysconfdir},g' \
  < %{SOURCE4} > %{buildroot}%{_sbindir}/mediawiki-updateall
chmod 0755 %{buildroot}%{_sbindir}/mediawiki-*
mkdir %{buildroot}%{_sysconfdir}/mediawiki

# placeholder for a default instance
mkdir -p %{buildroot}/var/www/mediawiki

# list of instances - initially empty
touch %{buildroot}%{_sysconfdir}/mediawiki/instances

# register default instance - not, this is only a default location
# echo /var/www/mediawiki >> %{buildroot}%{_sysconfdir}/mediawiki/instances

%clean
rm -rf %{buildroot}

%post
%{_sbindir}/mediawiki-updateall >> /var/log/mediawiki-updates.log 2>&1 || :

%files
%defattr(-,root,root,-)
%{sharedcodedir}/math
%{moduledir}

%files minimal
%defattr(-,root,root,-)
%{docdir}
%dir %{sharedcodedir}
%{sharedcodedir}/*.php
%{sharedcodedir}/*.php5
%{sharedcodedir}/*.phtml
%{sharedcodedir}/StartProfiler.sample
%{sharedcodedir}/bin
%{sharedcodedir}/cache
%attr(-,apache,apache) %dir %{sharedcodedir}/config
%{sharedcodedir}/config/*
%{sharedcodedir}/extensions
%{sharedcodedir}/images
%{sharedcodedir}/includes
%{sharedcodedir}/languages
%{sharedcodedir}/maintenance
%{sharedcodedir}/serialized
%{sharedcodedir}/skins
%config(noreplace) %{webappconfdir}/mediawiki.conf
%config %{webappconfdir}/mediawiki-common.conf
%dir %{_sysconfdir}/mediawiki
%config(noreplace) %{_sysconfdir}/mediawiki/instances
%{_sbindir}/mediawiki-*
/var/www/mediawiki


%changelog
* Sun May 15 2011 boklm <boklm> 1.16.5-1.mga1
+ Revision: 98859
- update to version 1.16.4 (security release)
- remove apache-mod_php dependency as it could be used with other web servers, or without mod_php
- add default config file

  + cjw <cjw>
    - add note about upgrading in README.RPM
    - rebase on mediawiki package in fedora:
      o split code from configuration/userdata
      o allow multiple wiki instances
      o allow installations without tex
    - rename nomath package to mediawiki-minimal
    - rename math package to mediawiki
    - 1.16.5 security release
    - fix patch0 to support wiki installs using a postgresql database
    - rename mw-createinstance to mediawiki-create and
      mw-updateallinstances to mediawiki-updateall
    - fix filelist by listing all files and dirs in the shared code dir

* Mon Mar 21 2011 boklm <boklm> 1.16.2-4.mga1
+ Revision: 75276
- add provide on base version
- install mediawiki in /usr/share/mediawiki and config in /etc/mediawiki
- update summary and description
- remove all plugins
- imported package mediawiki


* Tue Mar 15 2011 Nicolas Vigier <boklm@mars-attacks.org> 1.16.2-4
- rename package to mediawiki

* Thu Mar 03 2011 Oliver Burger <rpm@mandrivauser.de> 1.16.2-3mud2010.2
- added README.urpmi

* Wed Mar 02 2011 Oliver Burger <rpm@mandrivauser.de> 1.16.2-2mud2010.2
- added RenameUser extension needed by ldap extension

* Wed Mar 02 2011 Oliver Burger <rpm@mandrivauser.de> 1.16.2-1mud2010.2
- added ldap extension to mageia-multilingual
- split multilinugual setup from main rpm

* Sun Feb 13 2011 Oliver Burger <rpm@mandrivauser.de> 1.16.1-2mud2010.2
- changed paths for multilingual setup

* Thu Jan 06 2011 Oliver Burger <rpm@mandrivauser.de> 1.16.1-1mud2010.2
- new version 1.16.1

* Thu Nov 18 2010 Oliver Burger <rpm@mandrivauser.de> 1.15.1-1mud2010.1
- rebuild for 2010.1

* Wed Aug 12 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.15.1-1mdv2010.0
+ Revision: 415375
- new release

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 1.13.3-1mdv2009.1
+ Revision: 332775
- New upstream release

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Tue Oct 28 2008 Buchan Milne <bgmilne@mandriva.org> 1.13.2-2mdv2009.1
+ Revision: 297946
- Fix bug #45201 (Files missing in mediawiki package, preventing use)

* Sat Oct 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.13.2-1mdv2009.1
+ Revision: 291674
- new release

* Fri Sep 12 2008 Frederik Himpe <fhimpe@mandriva.org> 1.13.1-1mdv2009.0
+ Revision: 284279
- update to new version 1.13.1

* Thu Aug 14 2008 Funda Wang <fundawang@mandriva.org> 1.13.0-1mdv2009.0
+ Revision: 272172
- New version 1.13.0

* Mon Jun 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.12.0-1mdv2009.0
+ Revision: 230340
- new release

* Mon Mar 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.11.2-1mdv2008.1
+ Revision: 178031
- new release

* Thu Feb 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.11.1-3mdv2008.1
+ Revision: 176228
- better summary
- new license policy
- do not package COPYING and INSTALL files
- spec file clean

* Wed Feb 27 2008 Christiaan Welvaart <spturtle@mandriva.org> 1.11.1-2mdv2008.1
+ Revision: 175925
- fix file uploads: add filerepo and media include dirs
  and make images dir writable by webserver

* Sun Feb 03 2008 Funda Wang <fundawang@mandriva.org> 1.11.1-1mdv2008.1
+ Revision: 161668
- update to new version 1.11.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix downlod URL

* Tue Oct 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.11.0-1mdv2008.1
+ Revision: 96134
- new release

* Wed Sep 05 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.10.1-1mdv2008.0
+ Revision: 80180
- new release

* Wed May 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.10.0-2mdv2008.0
+ Revision: 27387
- do not require PHPUnit.php (not needed for normal use)

* Thu May 10 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.10.0-1mdv2008.0
+ Revision: 26080
- new release


* Mon Feb 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.9.3-1mdv2007.0
+ Revision: 125978
- new release

* Mon Feb 05 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.9.2-1mdv2007.1
+ Revision: 116244
- new release
- bump release
- add missing files

* Fri Jan 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.9.1-1mdv2007.1
+ Revision: 114008
- new release
- fix URL

* Wed Jan 10 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.9.0-1mdv2007.1
+ Revision: 107274
- new release

* Mon Nov 27 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.8.2-2mdv2007.1
+ Revision: 87495
- bump release
- prevent requiring internal extensions, thus fixing installation

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.8.2-1mdv2007.1
+ Revision: 86836
- Import mediawiki

* Tue Oct 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.8.2-1mdv2007.1
- new release

* Sat Jul 29 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.7.1-2mdv2007.0
- some rpmlint fixes
- patch 0: fix looping on accessing installation wizard
- patch 1: fix installation if not using root access

* Sat Jul 29 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.7.1-2mdv2007.0
- fix requires

* Wed Jul 26 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.7.1-1mdv2007.0
- new release

* Fri Jun 30 2006 Jerome Martin <jmartin@mandriva.org> 1.6.7-3mdv2007.0
- Fix installed files
- Add http conf

* Fri Jun 30 2006 Jerome Martin <jmartin@mandriva.org> 1.6.7-2mdv2007.0
- Fix install dir to %%{_var}/www/

* Sun Jun 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.6.7-1mdv2007.0
- new release

* Thu Apr 20 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.6.3-1mdk
- 1.6.3

* Tue Mar 28 2006 Lenny Cartier <lenny@mandriva.com> 1.5.8-1mdk
- 1.5.8

* Tue Feb 28 2006 Jerome Soyer <saispo@mandriva.org> 1.5.6-1mdk
- New release 1.5.6

* Tue Nov 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.5.2-1mdk
- new version
- fix apache requires (Anne Nicolas)

* Sat Jun 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.5-3mdk
- requires php-gd

* Wed Jun 15 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.5-2mdk
- drop MySQL requires (#16277)

* Tue Jun 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.5-1mdk
- new release
- requires php-mysql

* Mon May 02 2005 Anne Nicolas <anne.nicolas@mandriva.com> 1.4.3-1mdk
- new version

* Wed Apr 27 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.2-3mdk
- mediawiki cannot work without php-xml
- fix config file ownership

* Tue Apr 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.4.2-2mdk
- Fix URL; misc spec cleanups

* Mon Apr 25 2005 Anne Nicolas <anne.nicolas@mandriva.com> 1.4.2-1mdk
- first mdk release

